Subject: bug#10687: closed (Re: bug#10687: 24.0.92; Interactive edebug/eieio interaction)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Feb 2014 00:39:05 +0000

Your bug report

#10687: 24.0.92; Interactive edebug/eieio interaction

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10687: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10687
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10687: 24.0.92; Interactive edebug/eieio interaction
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Mon, 03 Feb 2014 16:36:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> (defun test-edebug ()
>   (interactive)
>   (auth-source-search :max 1
> 		      :host "news.gmane.org"
> 		      :port '("119" "nntp")))

I can no longer reproduce this bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

Subject: 24.0.92; Interactive edebug/eieio interaction
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Wed, 01 Feb 2012 15:00:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Put the following in *scratch*, and say `C-u M-C-x' to edebug-instrument
it.

(defun test-edebug ()
  (interactive)
  (auth-source-search :max 1
		      :host "news.gmane.org"
		      :port '("119" "nntp")))

Then say `(test-edebug)' and step through the form.  Everything will be
fine.

But then say `M-x test-edebug'.  I get the following error when stepping
over the search function:

Wrong type argument: arrayp, auth-source-backend

I think the problem is that the function returns something defined as a
class by ieieio, but I have no idea why it being called interactively
should trigger the bug, and not otherwise.

In GNU Emacs 24.0.92.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.6)
 of 2012-01-26 on rusty
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
t e r C-s <up> C-x 2 C-x b <return> <down> <down> <down> 
<down> <down> <down> <down> C-x o C-s c a l l e d C-s 
- C-s <up> C-x o C-x o M-x g n u s <backspace> <backspace> 
<backspace> r e p <return> c a l l e d - i n t e r 
SPC ( <backspace> * C-g C-x o C-x o C-x b * s c <return> 
C-g C-x b * s c <tab> C-g C-x C-b C-x o <down> <down> 
<down> <up> <up> <up> <up> <up> C-x o C-x b <return> 
<up> <up> <up> <up> <up> <up> <left> <left> C-SPC C-M-f 
M-w C-x b * s c r a c t * <return> <return> C-y <up> 
<up> C-a <return> <up> <return> <backspace> * <backspace> 
( d e f u n SPC t e s t - e d e b u g SPC ( ) <tab> 
<down> <tab> <down> <up> <backspace> <backspace> x 
<up> <return> ( i n M-x f u n d a m e <tab> <return> 
<tab> M-x l i s p - m <tab> <return> <tab> <backspace> 
<backspace> <backspace> <backspace> t e r a c i <backspace> 
t i v e ) <down> <tab> <down> <tab> <down> <tab> C-e 
) <return> <up> <up> <up> C-u C-M-x M-x e m a c s - 
l i s <tab> m <tab> <return> C-M-x C-u C-M-x : <backspace> 
M-: ( t e s t - e d e b u g ) <return> SPC SPC M-x 
t e s t - e d e b u <tab> <return> SPC q <up> <up> 
C-a C-SPC <down> <down> <down> <down> <down> <down> 
M-w C-x b i e <return> C-a C-k C-k C-x C-s C-x b C-g 
M-x r e p o <tab> r <tab> <return>

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Sent from my Rome